uses
	sysutils;

var
	min, max, n, s, i, v: longint;

begin
	n := strtoint(paramstr(1));
	min := strtoint(paramstr(2));
	max := strtoint(paramstr(3));
	randseed := n * 123489 + max + min * 31;
	writeln(n);
	for i := 1 to n do begin
		v := random(max - min + 1) + min;
		write(v);
		if (i < n) then
			write(' ');
	end;
	writeln;
end.